# Interface Element

All Known Subinterfaces:
  `AbsoluteExternalPositionalAccuracy, AccuracyOfATimeMeasurement, Completeness, CompletenessCommission, CompletenessOmission, ConceptualConsistency, DomainConsistency, FormatConsistency, GriddedDataPositionalAccuracy, LogicalConsistency, NonQuantitativeAttributeAccuracy, PositionalAccuracy, QuantitativeAttributeAccuracy, RelativeInternalPositionalAccuracy, TemporalAccuracy, TemporalConsistency, TemporalValidity, ThematicAccuracy, ThematicClassificationCorrectness, TopologicalConsistency, Usability`

All Known Implementing Classes:
  `AbstractCompleteness, AbstractElement, AbstractLogicalConsistency, AbstractMetaquality, AbstractPositionalAccuracy, AbstractTemporalAccuracy, AbstractTemporalQuality, AbstractThematicAccuracy, DefaultAbsoluteExternalPositionalAccuracy, DefaultAccuracyOfATimeMeasurement, DefaultCompletenessCommission, DefaultCompletenessOmission, DefaultConceptualConsistency, DefaultConfidence, DefaultDomainConsistency, DefaultFormatConsistency, DefaultGriddedDataPositionalAccuracy, DefaultHomogeneity, DefaultNonQuantitativeAttributeAccuracy, DefaultNonQuantitativeAttributeCorrectness, DefaultQuantitativeAttributeAccuracy, DefaultRelativeInternalPositionalAccuracy, DefaultRepresentativity, DefaultTemporalConsistency, DefaultTemporalValidity, DefaultThematicClassificationCorrectness, DefaultTopologicalConsistency, DefaultUsability`

@UML(identifier="DQ_Element", specification=ISO_19115) public interface Element
Type of test applied to the data specified by a data quality scope.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<? extends Date>`
  `getDates()`
  Date or range of dates on which a data quality measure was applied.
  `InternationalString`
  `getEvaluationMethodDescription()`
  Description of the evaluation method.
  `EvaluationMethodType`
  `getEvaluationMethodType()`
  Type of method used to evaluate quality of the dataset, or `null` if unspecified.
  `Citation`
  `getEvaluationProcedure()`
  Reference to the procedure information, or `null` if none.
  `InternationalString`
  `getMeasureDescription()`
  Description of the measure being determined.
  `Identifier`
  `getMeasureIdentification()`
  Code identifying a registered standard procedure, or `null` if none.
  `Collection<? extends InternationalString>`
  `getNamesOfMeasure()`
  Name of the test applied to the data.
  `Collection<? extends Result>`
  `getResults()`
  Value (or set of values) obtained from applying a data quality measure or the out come of evaluating the obtained value (or set of values) against a specified acceptable conformance quality level.

- ## Method Details

  - ### getNamesOfMeasure

    @UML(identifier="nameOfMeasure", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends InternationalString> getNamesOfMeasure()
    Name of the test applied to the data.
    Returns:
      Name of the test applied to the data.

  - ### getMeasureIdentification

    @UML(identifier="measureIdentification", obligation=OPTIONAL, specification=ISO_19115) Identifier getMeasureIdentification()
    Code identifying a registered standard procedure, or `null` if none.
    Returns:
      Code identifying a registered standard procedure, or `null`.

  - ### getMeasureDescription

    @UML(identifier="measureDescription", obligation=OPTIONAL, specification=ISO_19115) InternationalString getMeasureDescription()
    Description of the measure being determined.
    Returns:
      Description of the measure being determined, or `null`.

  - ### getEvaluationMethodType

    @UML(identifier="evaluationMethodType", obligation=OPTIONAL, specification=ISO_19115) EvaluationMethodType getEvaluationMethodType()
    Type of method used to evaluate quality of the dataset, or `null` if unspecified.
    Returns:
      Type of method used to evaluate quality, or `null`.

  - ### getEvaluationMethodDescription

    @UML(identifier="evaluationMethodDescription", obligation=OPTIONAL, specification=ISO_19115) InternationalString getEvaluationMethodDescription()
    Description of the evaluation method.
    Returns:
      Description of the evaluation method, or `null`.

  - ### getEvaluationProcedure

    @UML(identifier="evaluationProcedure", obligation=OPTIONAL, specification=ISO_19115) Citation getEvaluationProcedure()
    Reference to the procedure information, or `null` if none.
    Returns:
      Reference to the procedure information, or `null`.

  - ### getDates

    @UML(identifier="dateTime", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends Date> getDates()
    Date or range of dates on which a data quality measure was applied. The collection size is 1 for a single date, or 2 for a range. Returns an empty collection if this information is not available.

    Warning: The element type of this method may change in GeoAPI 3.1 release. It may be replaced by a type matching more closely either ISO 19108 (Temporal Schema) or ISO 19103.

    Returns:
      Date or range of dates on which a data quality measure was applied.
    Since:
      2.1

  - ### getResults

    @UML(identifier="result", obligation=MANDATORY, specification=ISO_19115) Collection<? extends Result> getResults()
    Value (or set of values) obtained from applying a data quality measure or the out come of evaluating the obtained value (or set of values) against a specified acceptable conformance quality level.
    Returns:
      Set of values obtained from applying a data quality measure.
    Since:
      2.1